
I had been in labor for three days. My body was exhausted beyond any exhaustion I had ever known. I pushed as long as I could but just gave out. Then I was watching everything from up above and I could see all of these people walking in and out of a door of light. I suddenly found myself standing behind the doctor who was trying to deliver my daughter and I could see the top of her head coming out and blood flowing around it. My body was still and silent but I felt calm and a deep, joyous peace. I had never felt so good in my life. I soon became aware of several people standing with me to watch my daughter's birth. They were encouraging her and I felt an overwhelming sense of love from them for her. One woman was standing next to me with an arm around me. It felt so safe and warm with her. She commented to me softly that my daughter was such a beautiful little girl; but just as her delivery was difficult, so would be her life. Up to the day of delivery, I had been told that my baby was a boy.

I was confused as to why she would say my baby was a girl, especially with only her head showing by this time. She proceeded to tell me that my daughter would need all of the love and support I could give her so that she would make the right choices when she needed to. Her road was a road less traveled. This woman explained that she knew I wanted to stay on 'this side' but I had to go back to take care of my children and to 'get back on track.' Several of the people congratulated me on the wonderful gift that I was given and told me that I was so precious to them yet I did not know any of them. The woman pulled me back from the group and told me to remember all that she said, gave me a big hug, and told me it was time to go.

The nurse walked into the delivery room with the supplies the doctor sent her for and she noticed I was not moving. She spoke to me first and then shook me but I was like a rag doll in her hands. The lady who was standing next to me moved me toward my body and told me to go back and to stop scaring the nice nurse. I was reluctant to go back to the chaos of life. I wanted to stay. The next thing I knew, I was on the table in great pain and the people were going back through the door of light. I told the nurse what I was seeing and both she and the doctor had a look of fear on their faces. The doctor hurried to stitch off all the breeders and started to yell out orders. I looked at the door of light as the woman started to go through. She stopped to smile and wave. When she walked through, the door closed. She is the same woman who has been there to meet me on each of my near death experiences. To this day, I long for that feeling and I look forward to going back.
